%define req_libgnomemm_version 2.12.0
%define req_libgnomecanvasmm_version 2.12.0
%define req_gconfmm_version 2.12.0
%define req_libglademm_version 2.6.1

%define api_version 2.6
%define major 2.22

Name: libgnomeuimm
Version: %major.0
Release: alt1

Summary: A C++ wrapper for GNOME UI library
License: LGPL
Group: System/Libraries
Url: http://gtkmm.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/libgnomeuimm/%major/%name-%version.tar.bz2

# manually removed gcc-g77 
# Automatically added by buildreq on Sat Jul 22 2006
BuildRequires: doxygen esound fontconfig gcc-c++ gnome-vfs-devel libavahi-glib libGConf-devel libgconfmm2-devel libglademm-devel libgnomecanvasmm-devel libgnomemm2-devel libgnomeui-devel libgnome-vfsmm-devel libSM-devel

BuildRequires: libgnomecanvasmm-devel >= %req_libgnomecanvasmm_version
BuildRequires: libgconfmm2-devel >= %req_gconfmm_version
BuildRequires: libglademm-devel >= %req_libglademm_version

%description
This library provides a C++ wrapper for GNOME UI library,
for use with gtkmm2 (previously known as gtk--). It is a subpackage
of the gnomemm project.

%package devel
Summary: Development files for libgnomeui C++ wrapper
Group: Development/GNOME and GTK+
Requires: %name = %version
Requires: libgnomecanvasmm-devel >= %req_libgnomecanvasmm_version
Requires: libgconfmm2-devel >= %req_gconfmm_version
Requires: libglademm-devel >= %req_libglademm_version

%description devel
This package contains all necessary files, including libraries and headers,
that C++ programmers will need to develop applications which use
%name, the C++ interface to libgnomeui.

It is necessary when compiling applications which use libgnomeuimm as well.

%prep
%setup -q

%build
%configure 	--disable-maintainer-mode \
		--disable-static \
		--enable-shared --enable-docs

%make_build
cd docs/reference && %make

%install
%makeinstall_std

%post
%post_ldconfig
%postun
%postun_ldconfig

%files
%doc AUTHORS
%_libdir/lib*.so.*

%files devel
%doc docs/reference/html ChangeLog TODO
%_includedir/*
%_libdir/lib*.so
%_pkgconfigdir/*.pc
%_libdir/%name-%api_version

%changelog
* Tue Apr 15 2008 Vitaly Lipatov <lav@altlinux.ru> 2.22.0-alt1
- new version 2.22.0 (with rpmrb script)

* Sun Jan 13 2008 Vitaly Lipatov <lav@altlinux.ru> 2.20.0-alt1
- new version 2.20.0 (with rpmrb script)
- cleanup spec

* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 2.18.0-alt1
- new version 2.18.0 (with rpmrb script)

* Sat Sep 02 2006 Vitaly Lipatov <lav@altlinux.ru> 2.16.0-alt0.1
- new version 2.16.0 (with rpmrb script)

* Sat Jul 22 2006 Vitaly Lipatov <lav@altlinux.ru> 2.14.0-alt0.1
- new version 2.14.0 (with rpmrb script)
- update buildreq

* Sun Sep 11 2005 Vitaly Lipatov <lav@altlinux.ru> 2.12.0-alt1
- new version

* Thu Mar 17 2005 Vitaly Lipatov <lav@altlinux.ru> 2.10.0-alt1
- new version

* Fri Jan 21 2005 Vitaly Lipatov <lav@altlinux.ru> 2.8.0-alt1
- new version
- build with gcc3.4
- use a macro for ldconfig

* Mon Jun 07 2004 Vitaly Lipatov <lav@altlinux.ru> 2.6.0-alt1.1
- add required version of libgnomemm2

* Mon Jun 07 2004 Vitaly Lipatov <lav@altlinux.ru> 2.6.0-alt1
- new version

* Thu Feb 19 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt2
- fix requires

* Tue Feb 17 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt1.1
- add missed buildreq

* Sun Feb 15 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt1
- first build for Sisyphus (thanks Mandrake)

* Fri Oct 17 2003 Abel Cheung <deaddog@deaddog.org> 2.0.0-2mdk
- Rebuild against new libgnomemm
- Fix variable naming

* Sat Sep 13 2003 Abel Cheung <deaddog@deaddog.org> 2.0.0-1mdk
- 2.0.0 (API frozen)
- Remove Patch1 (upstream)

* Wed Sep  3 2003 Abel Cheung <deaddog@deaddog.org> 1.3.17-1mdk
- 1.3.17
- Patch0: Fix libtool 1.5 to search for staging libs first
- Patch1 (CVS): Make GnomeUIInfo public, allowing building with gcc 3.3

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 1.3.16-1mdk
- 1.3.16

* Mon Jul  8 2002 Abel Cheung <maddog@linux.org.hk> 1.3.7-1mdk
- 1.3.7 (GNOME 2)
- First Mandrake spec, based on original spec in source

* Tue Mar 20 2001 Eric Bourque <ericb@computer.org>
- added gnome--.m4 to files devel section

* Sat Mar 10 2001 Herbert Valerio Riedel <hvr@gnu.org>
- improved examples.conf
- fixed example build problems

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
